# PulpMavenClient::MavenMavenArtifactResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | 
**group_id** | **String** | Group Id of the artifact&#39;s package. | [optional] [readonly] 
**artifact_id** | **String** | Artifact Id of the artifact&#39;s package. | [optional] [readonly] 
**version** | **String** | Version of the artifact&#39;s package. | [optional] [readonly] 
**filename** | **String** | Filename of the artifact. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpMavenClient'

instance = PulpMavenClient::MavenMavenArtifactResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifact: null,
                                 group_id: null,
                                 artifact_id: null,
                                 version: null,
                                 filename: null)
```


