# PulpMavenClient::MavenMavenRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | [**Object**](.md) |  | [optional] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retained_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. This is provided as a tech preview in Pulp 3 and may change in the future. | [optional] 
**remote** | **String** |  | [optional] 

## Code Sample

```ruby
require 'PulpMavenClient'

instance = PulpMavenClient::MavenMavenRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retained_versions: null,
                                 remote: null)
```


